<?php

class CRM_Loginsecurity_APIWrappers implements API_Wrapper {

  public function fromApiInput($apiRequest) {
    // Based on from https://lab.civicrm.org/extensions/apirestlog/-/blob/1.x/CRM/ApiRestLog/Logger.php
    $hasKeys = !empty($_REQUEST['key']) && !empty($_REQUEST['api_key']);

    if ($hasKeys && empty(Civi::$statics[__CLASS__]['seen'])) {
      Civi::$statics[__CLASS__]['seen'] = 1;
      CRM_Loginsecurity_BAO_LoginSecurityDevice::logCurrentSession();
    }

    return $apiRequest;
  }

  public function toApiOutput($apiRequest, $result) {
    return $result;
  }

}
