(function($, _, ts) {

  /**
   * Based on the README.md from fingerprintjs
   */
  CRM.loginsecurityFingerprintJS = function() {
    // Initialize an agent at application startup.
    const fpPromise = FingerprintJS.load()

    // Get the visitor identifier when you need it.
    fpPromise
      .then(fp => fp.get())
      .then(result => {
        // This is the visitor identifier:
        const visitorId = result.visitorId

        // We send the CID because CRM_Core_Session::getLoggedInContactID() does not work when using a checksum
        var url = CRM.url('civicrm/contact/loginhistory/device');
        $.post(url, {device_id: visitorId, cid: CRM.vars.loginsecurity.contact_id});
      })
  };

  $(function() {
    CRM.loginsecurityFingerprintJS();
  });

})(CRM.$, CRM._, CRM.ts('loginsecurity'));
